<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{3988AF04-DF89-4BBB-BEC9-92CDAF3BCC9D}</ProjectGuid>
    <OutputType>WinExe</OutputType>
    <RootNamespace>AssistClient</RootNamespace>
    <AssemblyName>AssistClient</AssemblyName>
    <TargetFrameworkVersion>v4.8</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <AutoGenerateBindingRedirects>true</AutoGenerateBindingRedirects>
    <Deterministic>true</Deterministic>
    <PublishUrl>publish\</PublishUrl>
    <Install>true</Install>
    <InstallFrom>Disk</InstallFrom>
    <UpdateEnabled>false</UpdateEnabled>
    <UpdateMode>Foreground</UpdateMode>
    <UpdateInterval>7</UpdateInterval>
    <UpdateIntervalUnits>Days</UpdateIntervalUnits>
    <UpdatePeriodically>false</UpdatePeriodically>
    <UpdateRequired>false</UpdateRequired>
    <MapFileExtensions>true</MapFileExtensions>
    <ApplicationRevision>0</ApplicationRevision>
    <ApplicationVersion>1.0.0.%2a</ApplicationVersion>
    <IsWebBootstrapper>false</IsWebBootstrapper>
    <UseApplicationTrust>false</UseApplicationTrust>
    <BootstrapperEnabled>true</BootstrapperEnabled>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <PlatformTarget>x64</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup>
    <ApplicationIcon>ComputerDisplayMode.ico</ApplicationIcon>
  </PropertyGroup>
  <PropertyGroup>
    <SignManifests>false</SignManifests>
  </PropertyGroup>
  <PropertyGroup>
    <TargetZone>LocalIntranet</TargetZone>
  </PropertyGroup>
  <PropertyGroup>
    <GenerateManifests>false</GenerateManifests>
  </PropertyGroup>
  <PropertyGroup>
    <ApplicationManifest>Properties\app.manifest</ApplicationManifest>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="AdvMotAPI, Version=2.0.8.5, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>bin\Debug\AdvMotAPI.dll</HintPath>
    </Reference>
    <Reference Include="Automation.BDaq4, Version=4.0.0.0, Culture=neutral, PublicKeyToken=463f5928d60183a0, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>bin\Debug\Automation.BDaq4.dll</HintPath>
    </Reference>
    <Reference Include="ControllerDllCSharp, Version=3.0.0.1, Culture=neutral, processorArchitecture=AMD64">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>bin\Debug\ControllerDllCSharp.dll</HintPath>
    </Reference>
    <Reference Include="halcondotnet, Version=21.5.0.0, Culture=neutral, PublicKeyToken=4973bed59ddbf2b8, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>bin\Debug\halcondotnet.dll</HintPath>
    </Reference>
    <Reference Include="hdevenginedotnet, Version=21.5.0.0, Culture=neutral, PublicKeyToken=4973bed59ddbf2b8, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>bin\Debug\hdevenginedotnet.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.ML.OnnxRuntime, Version=0.0.0.0, Culture=neutral, PublicKeyToken=f27f157f0a5b7bb6, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>bin\Debug\Microsoft.ML.OnnxRuntime.dll</HintPath>
    </Reference>
    <Reference Include="MvCameraControl.Net, Version=3.4.0.1, Culture=neutral, PublicKeyToken=52fddfb3f94be800, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>bin\Debug\MvCameraControl.Net.dll</HintPath>
    </Reference>
    <Reference Include="Newtonsoft.Json, Version=13.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
      <HintPath>..\Code\packages\Newtonsoft.Json.13.0.2\lib\net45\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="OpenCvSharp, Version=1.0.0.0, Culture=neutral, PublicKeyToken=6adad1e807fea099, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>bin\Debug\OpenCvSharp.dll</HintPath>
    </Reference>
    <Reference Include="OpenCvSharp.Extensions, Version=1.0.0.0, Culture=neutral, PublicKeyToken=6adad1e807fea099, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>bin\Debug\OpenCvSharp.Extensions.dll</HintPath>
    </Reference>
    <Reference Include="SqlSugar, Version=5.1.4.73, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\Code\packages\SqlSugar.5.1.4.73\lib\SqlSugar.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Management" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Deployment" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml" />
    <Reference Include="Yolo5, Version=1.0.0.0, Culture=neutral, processorArchitecture=AMD64">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>bin\Debug\Yolo5.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="API.cs" />
    <Compile Include="Config.cs" />
    <Compile Include="DevContainer.cs" />
    <Compile Include="Device\AxisDev.cs" />
    <Compile Include="Device\CodeScannerDev.cs" />
    <Compile Include="Device\ForLib.cs" />
    <Compile Include="Device\IFLib.cs" />
    <Compile Include="Device\IOCardDev.cs" />
    <Compile Include="Device\LightDev.cs" />
    <Compile Include="Device\ScannerDev.cs" />
    <Compile Include="Device\SizeLib.cs" />
    <Compile Include="Enums.cs" />
    <Compile Include="Form1.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Form1.Designer.cs">
      <DependentUpon>Form1.cs</DependentUpon>
    </Compile>
    <Compile Include="FrmCMDProcess.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FrmCMDProcess.Designer.cs">
      <DependentUpon>FrmCMDProcess.cs</DependentUpon>
    </Compile>
    <Compile Include="FrmDebug3.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FrmDebug3.Designer.cs">
      <DependentUpon>FrmDebug3.cs</DependentUpon>
    </Compile>
    <Compile Include="FrmLoading.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FrmLoading.designer.cs">
      <DependentUpon>FrmLoading.cs</DependentUpon>
    </Compile>
    <Compile Include="FrmLogin.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FrmLogin.Designer.cs">
      <DependentUpon>FrmLogin.cs</DependentUpon>
    </Compile>
    <Compile Include="FrmMain.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FrmMain.Designer.cs">
      <DependentUpon>FrmMain.cs</DependentUpon>
    </Compile>
    <Compile Include="FrmProductList.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FrmProductList.Designer.cs">
      <DependentUpon>FrmProductList.cs</DependentUpon>
    </Compile>
    <Compile Include="FrmProductStep.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FrmProductStep.Designer.cs">
      <DependentUpon>FrmProductStep.cs</DependentUpon>
    </Compile>
    <Compile Include="FrmPTSetting.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FrmPTSetting.Designer.cs">
      <DependentUpon>FrmPTSetting.cs</DependentUpon>
    </Compile>
    <Compile Include="FrmRepairInfo.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FrmRepairInfo.Designer.cs">
      <DependentUpon>FrmRepairInfo.cs</DependentUpon>
    </Compile>
    <Compile Include="FrmSetParams.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FrmSetParams.Designer.cs">
      <DependentUpon>FrmSetParams.cs</DependentUpon>
    </Compile>
    <Compile Include="FrmStepInfo.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FrmStepInfo.Designer.cs">
      <DependentUpon>FrmStepInfo.cs</DependentUpon>
    </Compile>
    <Compile Include="FrmStepList.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FrmStepList.Designer.cs">
      <DependentUpon>FrmStepList.cs</DependentUpon>
    </Compile>
    <Compile Include="FrmSysSetting.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FrmSysSetting.Designer.cs">
      <DependentUpon>FrmSysSetting.cs</DependentUpon>
    </Compile>
    <Compile Include="Program.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="UI\AxisDevProp.cs" />
    <Compile Include="UI\ForProp.cs" />
    <Compile Include="UI\FrmScannerShow.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="UI\FrmScannerShow.Designer.cs">
      <DependentUpon>FrmScannerShow.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\IFProp.cs" />
    <Compile Include="UI\IOCardDevProp.cs" />
    <Compile Include="UI\LightDevProp.cs" />
    <Compile Include="UI\PropExtend\PropertyOrderAttribute.cs" />
    <Compile Include="UI\PropExtend\PropertySorter.cs" />
    <Compile Include="UI\ScannerDevProp.cs" />
    <Compile Include="UI\SizeLibProp.cs" />
    <Compile Include="UI\UIAxisDev.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\UIAxisDev.Designer.cs">
      <DependentUpon>UIAxisDev.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\UICodeScannerDev.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\UICodeScannerDev.Designer.cs">
      <DependentUpon>UICodeScannerDev.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\UIForLib.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\UIForLib.Designer.cs">
      <DependentUpon>UIForLib.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\UIIFLib.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\UIIFLib.Designer.cs">
      <DependentUpon>UIIFLib.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\UIIOCardDev.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\UIIOCardDev.Designer.cs">
      <DependentUpon>UIIOCardDev.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\UILightDev.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\UILightDev.Designer.cs">
      <DependentUpon>UILightDev.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\UIScannerDev.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\UIScannerDev.Designer.cs">
      <DependentUpon>UIScannerDev.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\UISizeLib.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\UISizeLib.Designer.cs">
      <DependentUpon>UISizeLib.cs</DependentUpon>
    </Compile>
    <Compile Include="Utils\DBUtils.cs" />
    <Compile Include="Utils\EnumData.cs" />
    <Compile Include="Utils\EnumUtil.cs" />
    <Compile Include="Utils\FileUtil.cs" />
    <Compile Include="Utils\HttpUtil.CS" />
    <Compile Include="Utils\SSerialPort.cs" />
    <Compile Include="Utils\Util.cs" />
    <Compile Include="Utils\WINAPI.cs" />
    <Compile Include="WebApi.cs" />
    <EmbeddedResource Include="Form1.resx">
      <DependentUpon>Form1.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="FrmCMDProcess.resx">
      <DependentUpon>FrmCMDProcess.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="FrmDebug3.resx">
      <DependentUpon>FrmDebug3.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="FrmLoading.resx">
      <DependentUpon>FrmLoading.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="FrmLogin.resx">
      <DependentUpon>FrmLogin.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="FrmMain.resx">
      <DependentUpon>FrmMain.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="FrmProductList.resx">
      <DependentUpon>FrmProductList.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="FrmProductStep.resx">
      <DependentUpon>FrmProductStep.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="FrmPTSetting.resx">
      <DependentUpon>FrmPTSetting.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="FrmRepairInfo.resx">
      <DependentUpon>FrmRepairInfo.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="FrmSetParams.resx">
      <DependentUpon>FrmSetParams.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="FrmStepInfo.resx">
      <DependentUpon>FrmStepInfo.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="FrmStepList.resx">
      <DependentUpon>FrmStepList.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="FrmSysSetting.resx">
      <DependentUpon>FrmSysSetting.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Resources.resx</DependentUpon>
      <DesignTime>True</DesignTime>
    </Compile>
    <EmbeddedResource Include="UI\FrmScannerShow.resx">
      <DependentUpon>FrmScannerShow.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\UIAxisDev.resx">
      <DependentUpon>UIAxisDev.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\UICodeScannerDev.resx">
      <DependentUpon>UICodeScannerDev.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\UIForLib.resx">
      <DependentUpon>UIForLib.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\UIIFLib.resx">
      <DependentUpon>UIIFLib.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\UIIOCardDev.resx">
      <DependentUpon>UIIOCardDev.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\UILightDev.resx">
      <DependentUpon>UILightDev.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\UIScannerDev.resx">
      <DependentUpon>UIScannerDev.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\UISizeLib.resx">
      <DependentUpon>UISizeLib.cs</DependentUpon>
    </EmbeddedResource>
    <None Include="packages.config" />
    <None Include="Properties\app.manifest" />
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <None Include="App.config" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\down.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\left.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\right.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\up.png" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="ComputerDisplayMode.ico" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\Models\Models.csproj">
      <Project>{47694c39-2448-4be5-80a4-70d78b59272b}</Project>
      <Name>Models</Name>
    </ProjectReference>
    <ProjectReference Include="..\Service\Service.csproj">
      <Project>{1cced98a-7af6-47f3-b9f9-a9e7dad461b4}</Project>
      <Name>Service</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <BootstrapperPackage Include=".NETFramework,Version=v4.8">
      <Visible>False</Visible>
      <ProductName>Microsoft .NET Framework 4.8 %28x86 和 x64%29</ProductName>
      <Install>true</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Net.Framework.3.5.SP1">
      <Visible>False</Visible>
      <ProductName>.NET Framework 3.5 SP1</ProductName>
      <Install>false</Install>
    </BootstrapperPackage>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>